Package org.gitana.platform.client.support

# Class ObjectFactoryImpl

java.lang.Object
org.gitana.platform.client.support.ObjectFactoryImpl

All Implemented Interfaces:
  `ObjectFactory`

public class ObjectFactoryImpl extends Object implements ObjectFactory

Author:
  uzi

## Constructor Summary

Constructors
Constructor
Description
`ObjectFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`Application`
`application(Platform platform)`
`Application`
`application(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Application`
`application(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Application>`
`applications(Platform platform, Response response)`
`Archive`
`archive(Vault vault, Response response)`
`org.gitana.platform.support.ResultMap<Archive>`
`archives(Vault vault, Response response)`
`Association`
`association(Branch branch, Response response)`
`Association`
`association(Branch branch, org.gitana.platform.support.QName typeQName)`
`Association`
`association(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.support.ResultMap<Association>`
`associations(Branch branch, Response response)`
`org.gitana.platform.support.ResultMap<Attachment>`
`attachments(Attachable attachable, Response response)`
`AuthenticationGrant`
`authenticationGrant(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
`authenticationGrant(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
`authenticationGrants(Platform platform, Response response)`
`AutoClientMapping`
`autoClientMapping(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`autoClientMappings(WebHost webhost, Response response)`
`BillingProviderConfiguration`
`billingProviderConfiguration(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
`billingProviderConfigurations(Platform platform, Response response)`
`BillingTransaction`
`billingTransaction(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`billingTransactions(Tenant tenant, Response response)`
`Branch`
`branch(Repository repository)`
`Branch`
`branch(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Branch`
`branch(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Branch>`
`branches(Repository repository, Response response)`
`Changeset`
`changeset(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Changeset>`
`changesets(Repository repository, Response response)`
`Client`
`client(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Client`
`client(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Client>`
`clients(Platform platform, Response response)`
`Deletion`
`deletion(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Deletion`
`deletion(Branch branch, Response response)`
`org.gitana.platform.support.ResultMap<Deletion>`
`deletions(Branch branch, Response response)`
`DeployedApplication`
`deployedApplication(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`deployedApplications(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<Directory>`
`directories(Platform platform, Response response)`
`Directory`
`directory(Platform platform)`
`Directory`
`directory(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Directory`
`directory(Platform platform, Response response)`
`Domain`
`domain(Platform platform)`
`Domain`
`domain(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Domain`
`domain(Platform platform, Response response)`
`DomainPrincipal`
`domainPrincipal(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
`domainPrincipal(Domain domain, Response response)`
`DomainPrincipal`
`domainPrincipal(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
`domainPrincipal(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`domainPrincipals(Domain domain, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`domainPrincipals(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Domain>`
`domains(Platform platform, Response response)`
`Email`
`email(Application application, Response response)`
`EmailProvider`
`emailProvider(Application application, Response response)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
`emailProviders(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Email>`
`emails(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Identity>`
`identities(Directory directory, Response response)`
`Identity`
`identity(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Identity`
`identity(Directory directory, Response response)`
`Job`
`job(Cluster cluster, Response response)`
`org.gitana.platform.support.ResultMap<Job>`
`jobs(Cluster cluster, Response response)`
`org.gitana.platform.support.ResultMap<LogEntry>`
`logEntries(Cluster cluster, Response response)`
`LogEntry`
`logEntry(Cluster cluster, Response response)`
`Meter`
`meter(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Meter`
`meter(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Meter>`
`meters(Registrar registrar, Response response)`
`BaseNode`
`node(Branch branch, Response response)`
`BaseNode`
`node(Branch branch, org.gitana.platform.support.QName typeQName)`
`BaseNode`
`node(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.support.ResultMap<BaseNode>`
`nodes(Branch branch, Response response)`
`PaymentMethod`
`paymentMethod(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`paymentMethods(Tenant tenant, Response response)`
`Plan`
`plan(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Plan`
`plan(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Plan>`
`plans(Registrar registrar, Response response)`
`Platform`
`platform(Cluster cluster, Response response)`
`PlatformDataStore`
`platformDataStore(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.support.ResultMap<PlatformDataStore>`
`platformDataStores(Platform platform, Response response)`
`Map<String,Map<String,org.gitana.platform.services.authority.AuthorityGrant>>`
`principalAuthorityGrants(Response response)`
`BaseNode`
`produce(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object, boolean isSaved)`
`Project`
`project(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Project>`
`projects(Platform platform, Response response)`
`void`
`register(org.gitana.platform.support.QName typeQName, Class implementationClass)`
`Registrar`
`registrar(Platform platform)`
`Registrar`
`registrar(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registrar`
`registrar(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Registrar>`
`registrars(Platform platform, Response response)`
`Registration`
`registration(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Registration>`
`registrations(Application application, Response response)`
`Release`
`release(Repository repository)`
`Release`
`release(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Release`
`release(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Release>`
`releases(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Repository>`
`repositories(Platform platform, Response response)`
`Repository`
`repository(Platform platform)`
`Repository`
`repository(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Repository`
`repository(Platform platform, Response response)`
`Settings`
`settings(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Settings>`
`settingsMap(Application application, Response response)`
`Stack`
`stack(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Stack>`
`stacks(Platform platform, Response response)`
`Team`
`team(Cluster cluster, Teamable teamable, String teamKey, Response response)`
`org.gitana.platform.support.ResultMap<Team>`
`teams(Cluster cluster, Teamable teamable, Response response)`
`Tenant`
`tenant(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
`tenant(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Tenant>`
`tenants(Registrar registrar, Response response)`
`Vault`
`vault(Platform platform)`
`Vault`
`vault(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Vault`
`vault(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Vault>`
`vaults(Platform platform, Response response)`
`WebHost`
`webhost(Platform platform)`
`WebHost`
`webhost(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`WebHost`
`webhost(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<WebHost>`
`webhosts(Platform platform, Response response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectFactoryImpl

public ObjectFactoryImpl()

## Method Details

### platform

public Platform platform(Cluster cluster, Response response)

Specified by:
  `platform` in interface `ObjectFactory`

### repository

public Repository repository(Platform platform)

Specified by:
  `repository` in interface `ObjectFactory`

### repository

public Repository repository(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `repository` in interface `ObjectFactory`

### repository

public Repository repository(Platform platform, Response response)

Specified by:
  `repository` in interface `ObjectFactory`

### repositories

public org.gitana.platform.support.ResultMap<Repository> repositories(Platform platform, Response response)

Specified by:
  `repositories` in interface `ObjectFactory`

### branch

public Branch branch(Repository repository)

Specified by:
  `branch` in interface `ObjectFactory`

### branch

public Branch branch(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `branch` in interface `ObjectFactory`

### branch

public Branch branch(Repository repository, Response response)

Specified by:
  `branch` in interface `ObjectFactory`

### branches

public org.gitana.platform.support.ResultMap<Branch> branches(Repository repository, Response response)

Specified by:
  `branches` in interface `ObjectFactory`

### release

public Release release(Repository repository)

Specified by:
  `release` in interface `ObjectFactory`

### release

public Release release(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `release` in interface `ObjectFactory`

### release

public Release release(Repository repository, Response response)

Specified by:
  `release` in interface `ObjectFactory`

### releases

public org.gitana.platform.support.ResultMap<Release> releases(Repository repository, Response response)

Specified by:
  `releases` in interface `ObjectFactory`

### changeset

public Changeset changeset(Repository repository, Response response)

Specified by:
  `changeset` in interface `ObjectFactory`

### changesets

public org.gitana.platform.support.ResultMap<Changeset> changesets(Repository repository, Response response)

Specified by:
  `changesets` in interface `ObjectFactory`

### node

public BaseNode node(Branch branch, org.gitana.platform.support.QName typeQName)

Specified by:
  `node` in interface `ObjectFactory`

### node

public BaseNode node(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `node` in interface `ObjectFactory`

### node

public BaseNode node(Branch branch, Response response)

Specified by:
  `node` in interface `ObjectFactory`

### nodes

public org.gitana.platform.support.ResultMap<BaseNode> nodes(Branch branch, Response response)

Specified by:
  `nodes` in interface `ObjectFactory`

### association

public Association association(Branch branch, org.gitana.platform.support.QName typeQName)

Specified by:
  `association` in interface `ObjectFactory`

### association

public Association association(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `association` in interface `ObjectFactory`

### association

public Association association(Branch branch, Response response)

Specified by:
  `association` in interface `ObjectFactory`

### associations

public org.gitana.platform.support.ResultMap<Association> associations(Branch branch, Response response)

Specified by:
  `associations` in interface `ObjectFactory`

### domainPrincipal

public DomainPrincipal domainPrincipal(Platform platform, Response response)

Specified by:
  `domainPrincipal` in interface `ObjectFactory`

### domainPrincipal

public DomainPrincipal domainPrincipal(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `domainPrincipal` in interface `ObjectFactory`

### domainPrincipal

public DomainPrincipal domainPrincipal(Domain domain, Response response)

Specified by:
  `domainPrincipal` in interface `ObjectFactory`

### domainPrincipal

public DomainPrincipal domainPrincipal(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `domainPrincipal` in interface `ObjectFactory`

### domainPrincipals

public org.gitana.platform.support.ResultMap<DomainPrincipal> domainPrincipals(Platform platform, Response response)

Specified by:
  `domainPrincipals` in interface `ObjectFactory`

### domainPrincipals

public org.gitana.platform.support.ResultMap<DomainPrincipal> domainPrincipals(Domain domain, Response response)

Specified by:
  `domainPrincipals` in interface `ObjectFactory`

### register

public void register(org.gitana.platform.support.QName typeQName, Class implementationClass)

Specified by:
  `register` in interface `ObjectFactory`

### produce

public BaseNode produce(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object, boolean isSaved)

Specified by:
  `produce` in interface `ObjectFactory`

### deletion

public Deletion deletion(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `deletion` in interface `ObjectFactory`

### deletion

public Deletion deletion(Branch branch, Response response)

Specified by:
  `deletion` in interface `ObjectFactory`

### deletions

public org.gitana.platform.support.ResultMap<Deletion> deletions(Branch branch, Response response)

Specified by:
  `deletions` in interface `ObjectFactory`

### domain

public Domain domain(Platform platform)

Specified by:
  `domain` in interface `ObjectFactory`

### domain

public Domain domain(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `domain` in interface `ObjectFactory`

### domain

public Domain domain(Platform platform, Response response)

Specified by:
  `domain` in interface `ObjectFactory`

### domains

public org.gitana.platform.support.ResultMap<Domain> domains(Platform platform, Response response)

Specified by:
  `domains` in interface `ObjectFactory`

### job

public Job job(Cluster cluster, Response response)

Specified by:
  `job` in interface `ObjectFactory`

### jobs

public org.gitana.platform.support.ResultMap<Job> jobs(Cluster cluster, Response response)

Specified by:
  `jobs` in interface `ObjectFactory`

### directory

public Directory directory(Platform platform)

Specified by:
  `directory` in interface `ObjectFactory`

### directory

public Directory directory(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `directory` in interface `ObjectFactory`

### directory

public Directory directory(Platform platform, Response response)

Specified by:
  `directory` in interface `ObjectFactory`

### directories

public org.gitana.platform.support.ResultMap<Directory> directories(Platform platform, Response response)

Specified by:
  `directories` in interface `ObjectFactory`

### identity

public Identity identity(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `identity` in interface `ObjectFactory`

### identity

public Identity identity(Directory directory, Response response)

Specified by:
  `identity` in interface `ObjectFactory`

### identities

public org.gitana.platform.support.ResultMap<Identity> identities(Directory directory, Response response)

Specified by:
  `identities` in interface `ObjectFactory`

### attachments

public org.gitana.platform.support.ResultMap<Attachment> attachments(Attachable attachable, Response response)

Specified by:
  `attachments` in interface `ObjectFactory`

### archive

public Archive archive(Vault vault, Response response)

Specified by:
  `archive` in interface `ObjectFactory`

### archives

public org.gitana.platform.support.ResultMap<Archive> archives(Vault vault, Response response)

Specified by:
  `archives` in interface `ObjectFactory`

### principalAuthorityGrants

public Map<String,Map<String,org.gitana.platform.services.authority.AuthorityGrant>> principalAuthorityGrants(Response response)

Specified by:
  `principalAuthorityGrants` in interface `ObjectFactory`

### logEntry

public LogEntry logEntry(Cluster cluster, Response response)

Specified by:
  `logEntry` in interface `ObjectFactory`

### logEntries

public org.gitana.platform.support.ResultMap<LogEntry> logEntries(Cluster cluster, Response response)

Specified by:
  `logEntries` in interface `ObjectFactory`

### team

public Team team(Cluster cluster, Teamable teamable, String teamKey, Response response)

Specified by:
  `team` in interface `ObjectFactory`

### teams

public org.gitana.platform.support.ResultMap<Team> teams(Cluster cluster, Teamable teamable, Response response)

Specified by:
  `teams` in interface `ObjectFactory`

### stack

public Stack stack(Platform platform, Response response)

Specified by:
  `stack` in interface `ObjectFactory`

### stacks

public org.gitana.platform.support.ResultMap<Stack> stacks(Platform platform, Response response)

Specified by:
  `stacks` in interface `ObjectFactory`

### client

public Client client(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `client` in interface `ObjectFactory`

### client

public Client client(Platform platform, Response response)

Specified by:
  `client` in interface `ObjectFactory`

### clients

public org.gitana.platform.support.ResultMap<Client> clients(Platform platform, Response response)

Specified by:
  `clients` in interface `ObjectFactory`

### authenticationGrant

public AuthenticationGrant authenticationGrant(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `authenticationGrant` in interface `ObjectFactory`

### authenticationGrant

public AuthenticationGrant authenticationGrant(Platform platform, Response response)

Specified by:
  `authenticationGrant` in interface `ObjectFactory`

### authenticationGrants

public org.gitana.platform.support.ResultMap<AuthenticationGrant> authenticationGrants(Platform platform, Response response)

Specified by:
  `authenticationGrants` in interface `ObjectFactory`

### project

public Project project(Platform platform, Response response)

Specified by:
  `project` in interface `ObjectFactory`

### projects

public org.gitana.platform.support.ResultMap<Project> projects(Platform platform, Response response)

Specified by:
  `projects` in interface `ObjectFactory`

### vault

public Vault vault(Platform platform)

Specified by:
  `vault` in interface `ObjectFactory`

### vault

public Vault vault(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `vault` in interface `ObjectFactory`

### vault

public Vault vault(Platform platform, Response response)

Specified by:
  `vault` in interface `ObjectFactory`

### vaults

public org.gitana.platform.support.ResultMap<Vault> vaults(Platform platform, Response response)

Specified by:
  `vaults` in interface `ObjectFactory`

### application

public Application application(Platform platform)

Specified by:
  `application` in interface `ObjectFactory`

### application

public Application application(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `application` in interface `ObjectFactory`

### application

public Application application(Platform platform, Response response)

Specified by:
  `application` in interface `ObjectFactory`

### applications

public org.gitana.platform.support.ResultMap<Application> applications(Platform platform, Response response)

Specified by:
  `applications` in interface `ObjectFactory`

### settings

public Settings settings(Application application, Response response)

Specified by:
  `settings` in interface `ObjectFactory`

### settingsMap

public org.gitana.platform.support.ResultMap<Settings> settingsMap(Application application, Response response)

Specified by:
  `settingsMap` in interface `ObjectFactory`

### registration

public Registration registration(Application application, Response response)

Specified by:
  `registration` in interface `ObjectFactory`

### registrations

public org.gitana.platform.support.ResultMap<Registration> registrations(Application application, Response response)

Specified by:
  `registrations` in interface `ObjectFactory`

### email

public Email email(Application application, Response response)

Specified by:
  `email` in interface `ObjectFactory`

### emails

public org.gitana.platform.support.ResultMap<Email> emails(Application application, Response response)

Specified by:
  `emails` in interface `ObjectFactory`

### emailProvider

public EmailProvider emailProvider(Application application, Response response)

Specified by:
  `emailProvider` in interface `ObjectFactory`

### emailProviders

public org.gitana.platform.support.ResultMap<EmailProvider> emailProviders(Application application, Response response)

Specified by:
  `emailProviders` in interface `ObjectFactory`

### registrar

public Registrar registrar(Platform platform)

Specified by:
  `registrar` in interface `ObjectFactory`

### registrar

public Registrar registrar(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `registrar` in interface `ObjectFactory`

### registrar

public Registrar registrar(Platform platform, Response response)

Specified by:
  `registrar` in interface `ObjectFactory`

### registrars

public org.gitana.platform.support.ResultMap<Registrar> registrars(Platform platform, Response response)

Specified by:
  `registrars` in interface `ObjectFactory`

### tenant

public Tenant tenant(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `tenant` in interface `ObjectFactory`

### tenant

public Tenant tenant(Registrar registrar, Response response)

Specified by:
  `tenant` in interface `ObjectFactory`

### tenants

public org.gitana.platform.support.ResultMap<Tenant> tenants(Registrar registrar, Response response)

Specified by:
  `tenants` in interface `ObjectFactory`

### plan

public Plan plan(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `plan` in interface `ObjectFactory`

### plan

public Plan plan(Registrar registrar, Response response)

Specified by:
  `plan` in interface `ObjectFactory`

### plans

public org.gitana.platform.support.ResultMap<Plan> plans(Registrar registrar, Response response)

Specified by:
  `plans` in interface `ObjectFactory`

### meter

public Meter meter(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `meter` in interface `ObjectFactory`

### meter

public Meter meter(Registrar registrar, Response response)

Specified by:
  `meter` in interface `ObjectFactory`

### meters

public org.gitana.platform.support.ResultMap<Meter> meters(Registrar registrar, Response response)

Specified by:
  `meters` in interface `ObjectFactory`

### platformDataStore

public PlatformDataStore platformDataStore(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `platformDataStore` in interface `ObjectFactory`

### platformDataStores

public org.gitana.platform.support.ResultMap<PlatformDataStore> platformDataStores(Platform platform, Response response)

Specified by:
  `platformDataStores` in interface `ObjectFactory`

### webhost

public WebHost webhost(Platform platform)

Specified by:
  `webhost` in interface `ObjectFactory`

### webhost

public WebHost webhost(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `webhost` in interface `ObjectFactory`

### webhost

public WebHost webhost(Platform platform, Response response)

Specified by:
  `webhost` in interface `ObjectFactory`

### webhosts

public org.gitana.platform.support.ResultMap<WebHost> webhosts(Platform platform, Response response)

Specified by:
  `webhosts` in interface `ObjectFactory`

### autoClientMapping

public AutoClientMapping autoClientMapping(WebHost webhost, Response response)

Specified by:
  `autoClientMapping` in interface `ObjectFactory`

### autoClientMappings

public org.gitana.platform.support.ResultMap<AutoClientMapping> autoClientMappings(WebHost webhost, Response response)

Specified by:
  `autoClientMappings` in interface `ObjectFactory`

### deployedApplication

public DeployedApplication deployedApplication(WebHost webhost, Response response)

Specified by:
  `deployedApplication` in interface `ObjectFactory`

### deployedApplications

public org.gitana.platform.support.ResultMap<DeployedApplication> deployedApplications(WebHost webhost, Response response)

Specified by:
  `deployedApplications` in interface `ObjectFactory`

### paymentMethod

public PaymentMethod paymentMethod(Tenant tenant, Response response)

Specified by:
  `paymentMethod` in interface `ObjectFactory`

### paymentMethods

public org.gitana.platform.support.ResultMap<PaymentMethod> paymentMethods(Tenant tenant, Response response)

Specified by:
  `paymentMethods` in interface `ObjectFactory`

### billingTransaction

public BillingTransaction billingTransaction(Tenant tenant, Response response)

Specified by:
  `billingTransaction` in interface `ObjectFactory`

### billingTransactions

public org.gitana.platform.support.ResultMap<BillingTransaction> billingTransactions(Tenant tenant, Response response)

Specified by:
  `billingTransactions` in interface `ObjectFactory`

### billingProviderConfiguration

public BillingProviderConfiguration billingProviderConfiguration(Platform platform, Response response)

Specified by:
  `billingProviderConfiguration` in interface `ObjectFactory`

### billingProviderConfigurations

public org.gitana.platform.support.ResultMap<BillingProviderConfiguration> billingProviderConfigurations(Platform platform, Response response)

Specified by:
  `billingProviderConfigurations` in interface `ObjectFactory`